usb::Usb_1_0_2 Interface Reference

USB interface. More...

`import"Usb.idl";`

## Classes

struct | Settings
| USB interface settings. More...

## Public Member Functions

Settings | getSettings ()
| Retrieve the USB interface settings. More...
int | setSettings (in Settings settings)
| Change the USB interface settings. More...
void | getDevices (out vector< UsbDevice > usbDevices)
| Get a list of USB devices connected to the host port. More...

## Public Attributes

valueobject | SettingsChangedEvent: event::UserEvent { Settings oldSettings
| Event: Settings have changed. More...
Settings | newSettings
| Settings after change.

## Detailed Description

USB interface.

## Member Function Documentation

## getDevices()

void usb::Usb_1_0_2::getDevices | ( | out vector< UsbDevice > | usbDevices | ) |

Get a list of USB devices connected to the host port.

Parameters

  usbDevices | Result: List of discovered devices

## getSettings()

Settings usb::Usb_1_0_2::getSettings | ( |  | ) |

Retrieve the USB interface settings.

Returns
  USB interface settings

## setSettings()

int usb::Usb_1_0_2::setSettings | ( | in Settings | settings | ) |

Change the USB interface settings.

Parameters

  settings | New settings

Returns
  0 if OK

## Member Data Documentation

## SettingsChangedEvent

valueobject usb::Usb_1_0_2::SettingsChangedEvent

Event: Settings have changed.

Settings before change

The documentation for this interface was generated from the following file:

- pdu-json-rpc-api/idl/Usb.idl